#include <iocslib.h>

void CRTC768x512G(int mode)
// 画面モードを表示768*512で512*512/65536色モードにする
{
#define	SCRN	12	// 512*512,512*512/1page,31KHz,Graphic on
	if (mode) {
		if (CRTMOD(-1)==SCRN) return;
	}
	CRTMOD(SCRN);	// 画面設定
	G_CLR_ON();	// グラフィック画面をクリアして表示
	B_BPOKE((unsigned char  *)0xe80029,0x16);
	B_WPOKE((unsigned short *)0xe80002,0x0e);
	B_WPOKE((unsigned short *)0xe80004,0x2c);
	B_WPOKE((unsigned short *)0xe80006,0x6c);
	B_WPOKE((unsigned short *)0xe80000,0x89);
//	B_WPOKE((unsigned short *)0xe82400,0b111);	// 1024*1024,65536色
}
